> ## Documentation Index
> Fetch the complete documentation index at: https://cal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List booking limit pools

> Returns the team's booking limit pools and its round-robin event types that can be in one. Requires an accepted membership of the team. If accessed using an OAuth access token, the `TEAM_EVENT_TYPE_READ` scope is required.



## OpenAPI

````yaml /api-reference/v2/openapi.json get /v2/teams/{teamId}/booking-limit-pools
openapi: 3.0.0
info:
  title: Cal.com API v2
  description: ''
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /v2/teams/{teamId}/booking-limit-pools:
    get:
      tags:
        - Teams / Booking limit pools
      summary: List booking limit pools
      description: >-
        Returns the team's booking limit pools and its round-robin event types
        that can be in one. Requires an accepted membership of the team. If
        accessed using an OAuth access token, the `TEAM_EVENT_TYPE_READ` scope
        is required.
      operationId: TeamsBookingLimitPoolsController_list
      parameters:
        - name: Authorization
          in: header
          description: >-
            value must be `Bearer <token>` where `<token>` is api key prefixed
            with cal_, managed user access token, or OAuth access token
          required: true
          schema:
            type: string
        - name: teamId
          required: true
          in: path
          description: >-
            The team's uuid (preferred), its short-uuid (Flickr Base58) form, or
            its numeric id.
          schema:
            anyOf:
              - type: string
              - type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BookingLimitPoolsOutput'
components:
  schemas:
    BookingLimitPoolsOutput:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
        data:
          $ref: '#/components/schemas/BookingLimitPoolsData'
      required:
        - status
        - data
    BookingLimitPoolsData:
      type: object
      properties:
        pools:
          type: array
          items:
            $ref: '#/components/schemas/BookingLimitPoolOutput'
        eventTypes:
          description: The team's round-robin event types that can be in a pool.
          type: array
          items:
            $ref: '#/components/schemas/BookingLimitPoolCandidateOutput'
      required:
        - pools
        - eventTypes
    BookingLimitPoolOutput:
      type: object
      properties:
        perDay:
          type: number
          nullable: true
          example: 4
        perWeek:
          type: number
          nullable: true
          example: 20
        perMonth:
          type: number
          example: 60
          nullable: true
        perYear:
          type: number
          nullable: true
          example: 500
        id:
          type: string
          format: uuid
        teamId:
          type: number
        name:
          type: string
        mode:
          enum:
            - SHARED
            - PER_EVENT
          type: string
        archived:
          type: boolean
          readOnly: true
          description: An archived pool is skipped by enforcement until it is restored.
        eventTypes:
          type: array
          items:
            $ref: '#/components/schemas/BookingLimitPoolEventTypeOutput'
      required:
        - perDay
        - perWeek
        - perMonth
        - perYear
        - id
        - teamId
        - name
        - mode
        - archived
        - eventTypes
    BookingLimitPoolCandidateOutput:
      type: object
      properties:
        id:
          type: string
          format: uuid
        title:
          type: string
        poolId:
          type: string
          nullable: true
          format: uuid
          description: The pool this event type is in, if any.
      required:
        - id
        - title
        - poolId
    BookingLimitPoolEventTypeOutput:
      type: object
      properties:
        id:
          type: string
          format: uuid
        title:
          type: string
      required:
        - id
        - title

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.